/*  */
.epms-site-header {
  position: sticky;
  top: 0;
  z-index: 1000;
  background-color: white;
  transition: all 0.3s ease;
}

.epms-site-header .epms-logo img {
  height: 60px;
  transition: all 0.3s ease;
}

.epms-site-header.is-scrolled {
  box-shadow: 0 2px 10px rgba(0, 0, 0, 0.05); /* opcjonalny cień */
}

.epms-site-header.is-scrolled .epms-logo img {
  height: 45px; /* zmniejszenie logo */
}

.epms-hero-content .epms-heading {
  width: 100%;
}

.epms-container.epms-header-inner {
  display: flex;
  gap: 20px;
  justify-content: space-between;
  align-items: center;
  padding-top: 20px;
  padding-bottom: 20px;
}

.epms-hamburger-toggle {
  display: none;
}

.epms-main-nav ul,
.epms-footer-nav ul {
  display: flex;
  gap: 40px;
  list-style-type: none;
}

.epms-main-nav ul li a {
  font-weight: 600;
}

.epms-footer-nav ul li a {
  color: #fff;
  opacity: 0.8;
}

.epms-footer-nav ul li.current-menu-item a {
  opacity: 1;
}

.epms-main-nav ul li a,
.epms-footer-nav ul li a {
  position: relative;
  text-decoration: none;
  color: #061d27; /* kolor bazowy */
  padding: 5px 0;
  transition: color 0.3s ease;
}

.epms-footer-nav ul li a {
  color: #fff;
}

.epms-main-nav ul li a::after,
.epms-footer-nav ul li a::after {
  content: "";
  position: absolute;
  left: 0;
  bottom: -5px;
  width: 50%;
  height: 2px;
  background-color: #f47d00; /* kolor podkreślenia */
  transform: scaleX(0);
  transform-origin: left;
  transition: transform 0.3s ease;
}

/* Hover: kolor i podkreślenie */
.epms-main-nav ul li a:hover,
.epms-footer-nav ul li a:hover {
  color: #f47d00;
}

.epms-main-nav ul li a:hover::after,
.epms-footer-nav ul li a:hover::after {
  transform: scaleX(1);
}

/* Aktywny link (aktualna podstrona) */
.epms-main-nav ul li.current-menu-item a,
.epms-footer-nav ul li.current-menu-item a {
  color: #f47d00;
}

.epms-main-nav ul li.current-menu-item a::after,
.epms-footer-nav ul li.current-menu-item a::after {
  transform: scaleX(1);
}

.epms-hero-overlay {
  display: flex;
  justify-self: center;
}

/* strona głowna - start */

.epms-home-main {
  position: relative;
  z-index: 0;
  text-align: center;
}

.epms-home-main::before {
  content: "";
  position: absolute;
  inset: 0;
  z-index: -1;
  background: linear-gradient(
    to bottom,
    #ffffff 0%,
    #ffffff 50%,
    #f4f5f9 50%,
    #f4f5f9 100%
  );
}

.epms-subsection,
.epms-section {
  padding: 50px 0;
}

.epms-subsection h2,
.epms-section h2 {
  font-size: 40px;
  margin-bottom: 1.6rem;
}

.epms-subsection--thin {
  margin: 0 auto;
  max-width: 1000px;
  width: 100%;
}

.epms-subsection--bg {
  max-width: 1500px;
  width: 100%;
  margin: 0 auto;
  padding-bottom: 10px;
}

.epms-columns {
  position: relative;
  display: grid;
  grid-template-columns: 3fr 2fr;
  gap: 30px;
  align-items: start;
  min-height: 700px;
}

.epms-columns .epms-border {
  height: 2px;
}

.epms-paragraph--thin {
  max-width: 800px;
  width: 100%;
  margin: 0 auto;
  margin-bottom: 2rem;
}

.epms-columns-tiles {
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  gap: 30px;
}

.epms-columns-single-tiles {
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  text-align: left;
  gap: 15px;
}

.epms-columns-single-tiles img {
  max-width: 78px;
  width: 100%;
  height: 78px;
}

.epms-columns-single-tiles h3 {
  max-width: 250px;
  width: 100%;
  font-weight: 500;
  font-size: 18px;
}

.epms-columns-single-tiles h3,
.epms-columns-single-tiles p {
  margin: 0;
}

.epms-columns-single-tiles p.epms-text-light,
.epms-service-tile-content p,
.epms-contact-form p,
.realization-column ol li,
.epms-footer-contact span,
.epms-footer-contact a {
  opacity: 0.8;
}

.epms-columns-imageBox {
  position: absolute;
  right: 0;
}

.epms-subsection--split {
  padding-top: 120px;
  display: grid;
  grid-template-columns: repeat(2, 1fr);
}

.epms-subsection--split h2 {
  text-align: left;
}

.epms-subheading-wrapper {
  display: flex;
  align-items: center;
  gap: 6px; /* odstęp między tekstem a kreską */
}

.epms-subheading-text {
  text-transform: uppercase;
  font-size: 14px;
  font-weight: 600;
}

.epms-subheading-line {
  flex-grow: 1;
  height: 1px;
  background-color: #f47d00;
  max-width: 50px;
  width: 100%;
}

.epms-projects-grid {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  gap: 30px;
}

.epms-project-tile {
  position: relative;
  overflow: hidden;
  aspect-ratio: 4 / 3;
  cursor: pointer;
}

.epms-project-img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  display: block;
  transition: transform 0.3s ease;
}

.epms-project-overlay {
  position: absolute;
  inset: 0;
  background-color: rgba(244, 125, 0, 0.9);
  opacity: 0;
  display: flex;
  justify-content: center;
  align-items: center;
  transition: opacity 0.3s ease;
}

.epms-project-title {
  color: #fff;
  font-weight: 600;
  font-size: 1.2rem;
  text-align: center;
  opacity: 0;
  transition: opacity 0.3s ease;
}

/* Hover effect */
.epms-project-tile:hover .epms-project-overlay {
  opacity: 1;
}

.epms-project-tile:hover .epms-project-title {
  opacity: 1;
}

.epms-project-tile:hover .epms-project-img {
  transform: scale(1.05);
}

/* strona głowna - koniec */

/* realizacje - grid */

.epms-projects-grid {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  gap: 30px;
}

.epms-project-tile {
  position: relative;
  overflow: hidden;
  aspect-ratio: 4 / 3;
  cursor: pointer;
}

.epms-project-img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  display: block;
  transition: transform 0.3s ease;
}

.epms-project-overlay {
  position: absolute;
  inset: 0;
  background-color: rgba(244, 125, 0, 0.9);
  opacity: 0;
  display: flex;
  justify-content: center;
  align-items: center;
  transition: opacity 0.3s ease;
}

.epms-project-title {
  color: #fff;
  font-weight: 600;
  font-size: 1.2rem;
  text-align: center;
  opacity: 0;
  transition: opacity 0.3s ease;
}

/* Hover effect */
.epms-project-tile:hover .epms-project-overlay {
  opacity: 1;
}

.epms-project-tile:hover .epms-project-title {
  opacity: 1;
}

.epms-project-tile:hover .epms-project-img {
  transform: scale(1.05);
}

/* realizacje - grid (koniec) */

/* realizacje - strona (start) */
.single-realization h1,
.single-realization h2 {
  color: #273f68;
}

.epms-single-realization h3 {
  font-size: 26px;
}

.epms-single-realization .epms-button-wrapper img {
  transform: scaleX(-1);
}

.epms-single-realization .epms-intro-text {
  text-align: center;
}

.realization-columns,
.realization-gallery {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  gap: 80px;
}

.epms-realization-container {
  margin-top: 50px;
  padding: 0 15px 50px;
}

.epms-realization-container.epms-section {
  margin-top: 0;
}

.realization-gallery {
  margin-top: 20px;
  gap: 20px;
}

.realization-gallery img {
  object-fit: cover;
}

.epms-single-realization ol {
  padding-left: 14px;
}

.epms-single-realization ol li {
  padding: 10px 0;
}

.epms-single-realization .epms-border {
  width: 40%;
}

.epms-single-realization .epms-subsection--bg {
  padding-bottom: 50px;
}

.epms-more-realizations {
  padding-left: 0;
  padding-right: 0;
}

.realization-icon img {
  max-width: 80px;
  margin-bottom: 10px;
}

.epms-pagination {
  margin-top: 40px;
  text-align: center;
}
.epms-pagination .page-numbers {
  display: inline-block;
  margin: 0 6px;
  padding: 8px 14px;
  border: 1px solid #ccc;
  text-decoration: none;
  color: #333;
  border-radius: 4px;
}
.epms-pagination .current {
  background-color: #ff6600;
  color: #fff;
  border-color: #ff6600;
}

.epms-pagination {
  display: flex;
  justify-content: center;
  gap: 8px;
  margin-top: 40px;
  flex-wrap: wrap;
}

.epms-pagination .page-numbers {
  display: inline-block;
  padding: 10px 16px;
  border: 1px solid #ddd;
  color: #333;
  text-decoration: none;
  border-radius: 4px;
  transition: all 0.2s ease;
  font-weight: 500;
}

/* Hover na przyciskach */
.epms-pagination .page-numbers:hover {
  background-color: #f28b30;
  color: #fff;
  border-color: #f28b30;
}

/* Aktywna strona */
.epms-pagination .page-numbers.current {
  background-color: #f28b30;
  color: #fff;
  border-color: #f28b30;
  cursor: default;
}

/* Strzałki „Poprzednia” i „Następna” */
.epms-pagination .page-numbers.prev,
.epms-pagination .page-numbers.next {
  font-weight: 600;
}

/* realizacje - strona (koniec) */

/* o nas - start */
.epms-about-intro {
  padding-top: 50px;
}

.epms-intro-columns {
  display: grid;
  grid-template-columns: 1fr 1fr;
  align-items: stretch; /* to zapewnia równą wysokość obu kolumn */
}

.epms-intro-columns > :nth-child(1) {
  align-self: start;
}

.epms-intro-columns > :nth-child(2) {
  align-self: end;
}

.epms-about-intro h2 {
  text-transform: initial;
  font-size: 40px;
}

.epms-intro-text {
  padding-bottom: 40px;
}

.epms-intro-image {
  margin-bottom: -8px;
  z-index: -1;
  position: relative;
}

.epms-about-description {
  margin-bottom: 80px;
}

.epms-about-description .epms-subsection--bg {
  padding-bottom: 50px;
}

.epms-details-columns {
  display: flex;
  gap: 40px;
  justify-content: space-between;
}

.epms-details-text p {
  color: #fff;
  opacity: 0.8;
}

/*  o nas - koniec */

/* oferta - start */

.epms-services {
  text-align: center;
}

.epms-services.epms-section {
  padding-bottom: 0;
}

.epms-services h2 {
  text-transform: initial;
  font-size: 40px;
}

.epms-services .epms-text {
  padding: 0 80px;
}

.epms-services.epms-subsection--bg {
  position: relative;
  overflow: visible;
  padding-bottom: 50px;
}

.epms-services.epms-subsection--bg::before {
  content: "";
  position: absolute;
  left: 0;
  width: 100%;
  height: 80%; /* zmień, jeśli potrzebujesz mniej/więcej tła */
  background-image: url("../img/oferta_background.jpg"); /* ścieżka względna do stylu */
  top: 50%;
  transform: translateY(-50%);
  background-size: cover;
  background-position: center;
  z-index: 0;
}

.epms-services-inner {
  position: relative;
  z-index: 1;
}

.epms-services-grid {
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  gap: 20px;
}

.epms-service-tile {
  background-color: #0c2834;
  display: flex;
  justify-content: center;
  align-items: flex-start;
  gap: 20px;
  text-align: left;
  padding: 20px;
  transition: transform 0.3s ease, background-color 0.3s ease;
}

.epms-service-tile p {
  color: #fff;
}

.epms-service-tile span {
  color: #f47d00;
}

.epms-service-tile-content {
  display: flex;
  flex-direction: column;
  gap: 20px;
  align-items: flex-start;
}

.epms-service-tile span,
.epms-service-tile-content h3 {
  font-size: 18px;
}

.epms-service-tile-content h3,
.epms-service-tile-content .epms-border {
  width: 70%;
  margin: 0;
}

.epms-service-tile-content .epms-border {
  height: 2px;
}

.epms-last-tile {
  border: 2px solid #f47d00;
  display: flex;
  align-items: center; /* zawartość do góry */
  justify-content: center; /* poziome wyśrodkowanie */
  text-align: center;
  padding: 40px;
  color: #ffffff;
  box-shadow: none;
}

.epms-services-grid {
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  gap: 30px;
}

.epms-last-tile p,
.epms-last-tile span {
  font-size: 22px;
  font-weight: bold;
}

/* oferta - koniec */

/* kontakt - start */
.epms-contact-columns {
  display: grid;
  grid-template-columns: 1fr auto;
  gap: 20px;
}

.epms-contact-form {
  max-width: 550px;
  width: 100%;
  background-color: #0c2834;
  border-radius: 5px;
  padding: 30px;
}

.epms-contact-info {
  display: flex;
  flex-direction: column;
  gap: 20px;
  padding: 30px 0;
}

.epms-contact-form h3,
.epms-contact-info h2 {
  font-size: 30px;
}

.epms-contact-info h4 {
  text-transform: initial;
}

.epms-contact-details {
  display: flex;
  gap: 60px;
  justify-content: flex-start;
  align-items: flex-start;
}

.epms-contact-details p,
.epms-contact-info p {
  margin: 0;
}

/* Ogólne style dla inputów i textarea w CF7 */
.wpcf7 input[type="text"],
.wpcf7 input[type="email"],
.wpcf7 input[type="tel"],
.wpcf7 textarea {
  width: 100%;
  background-color: #01060b;
  color: #ffffff;
  border: 1px solid #061d27;
  padding: 10px;
  font-size: 1rem;
  border-radius: 4px;
  box-sizing: border-box;
}

/* Wysokości */
.wpcf7 input[type="text"],
.wpcf7 input[type="email"],
.wpcf7 input[type="tel"] {
  height: 60px;
}

.wpcf7 textarea {
  height: 180px;
}

/* Placeholdery */
.wpcf7 ::placeholder {
  color: #ffffff;
  opacity: 0.4;
}

/* Strzałka jako pseudoelement */

.epms-contact-section {
  padding: 50px 0;
}

.cf7-customButtonBox p {
  margin: 0;
  opacity: 1;
}

.cf7-submit-wrapper {
  display: flex;
  justify-content: center;
  margin-top: 30px;
}

.cf7-customButtonBox {
  position: relative;
  display: inline-block;
  background-color: #f47d00;
  border-radius: 18px;
  overflow: hidden;
  transition: background-color 0.3s ease;
}

.cf7-customButtonBox:hover {
  background-color: #d96e00;
}

.cf7-customButtonBox input.cf7-customButton {
  all: unset;
  padding: 12px 60px 12px 40px;
  font-size: 1rem;
  font-weight: 600;
  color: #ffffff;
  cursor: pointer;
  display: inline-block;
  width: 100%;
  border-radius: 18px;
  opacity: 1;
}

/* Strzałka */
.cf7-customButtonBox::after {
  content: "";
  position: absolute;
  top: 52%;
  right: 30px;
  transform: translateY(-50%);
  width: 16px;
  height: 16px;
  background-image: url("/wp-content/themes/epms-theme/assets/img/arrow_white.png");
  background-size: contain;
  background-repeat: no-repeat;
  pointer-events: none;
}

.wpcf7-spinner {
  display: none;
}

/* kontakt - koniec */

/* footer - start */
.epms-footer-inner {
  display: flex;
  justify-content: space-between;
  align-items: center;
  flex-wrap: wrap;
  gap: 40px;
  padding-top: 40px;
  padding-bottom: 40px;
}

.epms-footer-info {
  max-width: 700px;
  width: 100%;
}

.epms-footer-info-box {
  display: flex;
  flex-direction: column;
  gap: 20px;
}

.epms-footer-info p {
  margin: 0;
  font-weight: 600;
}

.epms-footer-menu {
  list-style: none;
  padding: 0;
  margin: 0;
}

.epms-footer-menu li {
  margin-bottom: 8px;
}

.epms-footer-bottom {
  text-align: center;
  font-size: 13px;
  padding: 15px 0;
  margin: 0;
}

.epms-footer-contact,
.epms-footer-contact p {
  display: flex;
  gap: 40px;
}

.epms-footer-contact p {
  flex-direction: column;
  gap: 5px;
}

.epms-footer-contact span,
.epms-footer-contact a {
  font-weight: normal;
}

/* footer - koniec */
